WP6ContentListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
WP6ContentListener Class Reference

`#include <WP6ContentListener.h>`

Inheritance diagram for WP6ContentListener:

## Public Member Functions
| WP6ContentListener (std::list< WPXPageSpan > &pageList, WPXTableList tableList, librevenge::RVNGTextInterface *documentInterface)
| ~WP6ContentListener ()
void | startDocument ()
void | startSubDocument ()
void | setDate (const unsigned short type, const unsigned short year, const unsigned char month, const unsigned char day, const unsigned char hour, const unsigned char minute, const unsigned char second, const unsigned char dayOfWeek, const unsigned char timeZone, const unsigned char unused)
void | setExtendedInformation (const unsigned short type, const librevenge::RVNGString &data)
void | setAlignmentCharacter (const unsigned character)
void | setLeaderCharacter (const unsigned character, const unsigned char numSpaces)
void | defineTabStops (const bool isRelative, const std::vector< WPXTabStop > &tabStops, const std::vector< bool > &usePreWP9LeaderMethods)
void | insertCharacter (unsigned character)
void | insertTab (const unsigned char tabType, double tabPosition)
void | handleLineBreak ()
void | insertEOL ()
void | insertBreak (const unsigned char breakType)
void | lineSpacingChange (const double lineSpacing)
void | justificationChange (const unsigned char justification)
void | characterColorChange (const unsigned char red, const unsigned char green, const unsigned char blue)
void | characterShadingChange (const unsigned char shading)
void | highlightChange (const bool isOn, const RGBSColor &color)
void | fontChange (const unsigned short matchedFontPointSize, const unsigned short fontPID, const librevenge::RVNGString &fontName)
void | attributeChange (const bool isOn, const unsigned char attribute)
void | spacingAfterParagraphChange (const double spacingRelative, const double spacingAbsolute)
void | pageNumberingChange (const WPXPageNumberPosition, const unsigned short, const unsigned short)
void | pageMarginChange (const unsigned char, const unsigned short)
void | pageFormChange (const unsigned short, const unsigned short, const WPXFormOrientation)
void | marginChange (const unsigned char side, const unsigned short margin)
void | paragraphMarginChange (const unsigned char side, const signed short margin)
void | indentFirstLineChange (const signed short offset)
void | columnChange (const WPXTextColumnType columnType, const unsigned char numColumns, const std::vector< double > &columnWidth, const std::vector< bool > &isFixedWidth)
void | updateOutlineDefinition (const unsigned short outlineHash, const unsigned char *numberingMethods, const unsigned char tabBehaviourFlag)
void | paragraphNumberOn (const unsigned short outlineHash, const unsigned char level, const unsigned char flag)
void | paragraphNumberOff ()
void | displayNumberReferenceGroupOn (const unsigned char subGroup, const unsigned char level)
void | displayNumberReferenceGroupOff (const unsigned char subGroup)
void | styleGroupOn (const unsigned char subGroup)
void | styleGroupOff (const unsigned char subGroup)
void | globalOn (const unsigned char systemStyle)
void | globalOff ()
void | noteOn (const unsigned short textPID)
void | noteOff (const WPXNoteType noteType)
void | headerFooterGroup (const unsigned char, const unsigned char, const unsigned short)
void | suppressPageCharacteristics (const unsigned char)
void | setPageNumber (const unsigned short)
void | setPageNumberingType (const WPXNumberingType pageNumberingType)
void | endDocument ()
void | endSubDocument ()
void | defineTable (const unsigned char position, const unsigned short leftOffset)
void | addTableColumnDefinition (const unsigned width, const unsigned leftGutter, const unsigned rightGutter, const unsigned attributes, const unsigned char alignment)
void | startTable ()
void | insertRow (const unsigned short rowHeight, const bool isMinimumHeight, const bool isHeaderRow)
void | insertCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment, const bool useCellAttributes, const unsigned cellAttributes)
void | endTable ()
void | boxOn (const unsigned char anchoringType, const unsigned char generalPositioningFlags, const unsigned char horizontalPositioningFlags, const signed short horizontalOffset, const unsigned char leftColumn, const unsigned char rightColumn, const unsigned char verticalPositioningFlags, const signed short verticalOffset, const unsigned char widthFlags, const unsigned short width, const unsigned char heightFlags, const unsigned short height, const unsigned char boxContentType, const unsigned short nativeWidth, const unsigned short nativeHeight, const librevenge::RVNGString &linkTarget)
void | boxOff ()
void | insertGraphicsData (const unsigned short packetId)
void | insertTextBox (const WP6SubDocument *subDocument)
void | commentAnnotation (const unsigned short textPID)
void | undoChange (const unsigned char undoType, const unsigned short undoLevel)
Public Member Functions inherited from WP6Listener
| WP6Listener ()
virtual | ~WP6Listener ()
void | setPrefixData (WP6PrefixData *prefixData)
const WP6PrefixDataPacket * | getPrefixDataPacket (const int prefixID) const
librevenge::RVNGString | getFontNameForPID (const int prefixID) const

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice=0)
void | _paragraphNumberOn (const unsigned short outlineHash, const unsigned char level)
void | _flushText ()
void | _handleListChange (const unsigned short outlineHash)
void | _changeList ()
Protected Member Functions inherited from WPXContentListener
| WPXContentListener (std::list< WPXPageSpan > &pageList, librevenge::RVNGTextInterface *documentInterface)
virtual | ~WPXContentListener ()
void | startDocument ()
void | startSubDocument ()
void | endDocument ()
void | endSubDocument ()
void | handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, unsigned nextTableIndice)
| Creates an new document state. More...
void | insertBreak (const unsigned char breakType)
void | lineSpacingChange (const double lineSpacing)
void | justificationChange (const unsigned char justification)
void | _openSection ()
void | _closeSection ()
void | _openPageSpan ()
void | _closePageSpan ()
void | _appendParagraphProperties (librevenge::RVNGPropertyList &propList, const bool isListElement=false)
void | _getTabStops (librevenge::RVNGPropertyListVector &tabStops)
void | _appendJustification (librevenge::RVNGPropertyList &propList, int justification)
void | _resetParagraphState (const bool isListElement=false)
virtual void | _openParagraph ()
void | _closeParagraph ()
void | _openListElement ()
void | _closeListElement ()
void | _openSpan ()
void | _closeSpan ()
void | _openTable ()
void | _closeTable ()
void | _openTableRow (const double height, const bool isMinimumHeight, const bool isHeaderRow)
void | _closeTableRow ()
void | _openTableCell (const unsigned char colSpan, const unsigned char rowSpan, const unsigned char borderBits, const RGBSColor *cellFgColor, const RGBSColor *cellBgColor, const RGBSColor *cellBorderColor, const WPXVerticalAlignment cellVerticalAlignment)
void | _closeTableCell ()
double | _movePositionToFirstColumn (double position)
double | _getNextTabStop () const
double | _getPreviousTabStop () const
void | _insertText (const librevenge::RVNGString &textBuffer)
void | _insertBreakIfNecessary (librevenge::RVNGPropertyList &propList)
void | _insertPageNumberParagraph (WPXPageNumberPosition position, WPXNumberingType type, librevenge::RVNGString fontName, double fontSize)
unsigned | _mapNonUnicodeCharacter (unsigned character)
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Member Functions
| WP6ContentListener (const WP6ContentListener &)
WP6ContentListener & | operator= (const WP6ContentListener &)

## Private Attributes
WP6ContentParsingState * | m_parseState
std::map< unsigned short, WP6OutlineDefinition > | m_outlineDefineHash
std::map< unsigned, librevenge::RVNGPropertyList > | m_listDefinitions

## Additional Inherited Members
Protected Attributes inherited from WPXContentListener
WPXContentParsingState * | m_ps
librevenge::RVNGTextInterface * | m_documentInterface
librevenge::RVNGPropertyList | m_metaData
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WP6ContentListener::WP6ContentListener | ( | std::list< WPXPageSpan > & | pageList,
|  | WPXTableList | tableList,
|  | librevenge::RVNGTextInterface * | documentInterface
| ) |  |

WP6ContentListener::~WP6ContentListener | ( |  | ) |

WP6ContentListener::WP6ContentListener | ( | const WP6ContentListener & |  | ) |
| private

## Member Function Documentation

void WP6ContentListener::_changeList | ( |  | ) |
| protectedvirtual

Implements WPXContentListener.

Referenced by _handleSubDocument(), and defineTable().

void WP6ContentListener::_flushText | ( |  | ) |
| protectedvirtual

Implements WPXContentListener.

Referenced by boxOn(), commentAnnotation(), displayNumberReferenceGroupOff(), endTable(), handleLineBreak(), insertCell(), insertRow(), insertTab(), and noteOn().

void WP6ContentListener::_handleListChange | ( | const unsigned short | outlineHash | ) |
| protected

Referenced by _changeList().

void WP6ContentListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | unsigned | nextTableIndice = `0`
| ) |  |
| protectedvirtual

Implements WPXContentListener.

void WP6ContentListener::_paragraphNumberOn | ( | const unsigned short | outlineHash,
|  | const unsigned char | level
| ) |  |
| protected

Referenced by displayNumberReferenceGroupOn(), and paragraphNumberOn().

void WP6ContentListener::addTableColumnDefinition | ( | const unsigned | width,
|  | const unsigned | leftGutter,
|  | const unsigned | rightGutter,
|  | const unsigned | attributes,
|  | const unsigned char | alignment
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::attributeChange | ( | const bool | isOn,
|  | const unsigned char | attribute
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::boxOff | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::boxOn | ( | const unsigned char | anchoringType,
|  | const unsigned char | generalPositioningFlags,
|  | const unsigned char | horizontalPositioningFlags,
|  | const signed short | horizontalOffset,
|  | const unsigned char | leftColumn,
|  | const unsigned char | rightColumn,
|  | const unsigned char | verticalPositioningFlags,
|  | const signed short | verticalOffset,
|  | const unsigned char | widthFlags,
|  | const unsigned short | width,
|  | const unsigned char | heightFlags,
|  | const unsigned short | height,
|  | const unsigned char | boxContentType,
|  | const unsigned short | nativeWidth,
|  | const unsigned short | nativeHeight,
|  | const librevenge::RVNGString & | linkTarget
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::characterColorChange | ( | const unsigned char | red,
|  | const unsigned char | green,
|  | const unsigned char | blue
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::characterShadingChange | ( | const unsigned char | shading | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::columnChange | ( | const WPXTextColumnType | columnType,
|  | const unsigned char | numColumns,
|  | const std::vector< double > & | columnWidth,
|  | const std::vector< bool > & | isFixedWidth
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::commentAnnotation | ( | const unsigned short | textPID | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::defineTable | ( | const unsigned char | position,
|  | const unsigned short | leftOffset
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::defineTabStops | ( | const bool | isRelative,
|  | const std::vector< WPXTabStop > & | tabStops,
|  | const std::vector< bool > & | usePreWP9LeaderMethods
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::displayNumberReferenceGroupOff | ( | const unsigned char | subGroup | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::displayNumberReferenceGroupOn | ( | const unsigned char | subGroup,
|  | const unsigned char | level
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::endDocument | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::endSubDocument | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

Referenced by WP6Parser::parseSubDocument().

void WP6ContentListener::endTable | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::fontChange | ( | const unsigned short | matchedFontPointSize,
|  | const unsigned short | fontPID,
|  | const librevenge::RVNGString & | fontName
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::globalOff | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::globalOn | ( | const unsigned char | systemStyle | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::handleLineBreak | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::headerFooterGroup | ( | const unsigned char | ,
|  | const unsigned char | ,
|  | const unsigned short |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::highlightChange | ( | const bool | isOn,
|  | const RGBSColor & | color
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::indentFirstLineChange | ( | const signed short | offset | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::insertBreak | ( | const unsigned char | breakType | ) |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::insertCell | ( | const unsigned char | colSpan,
|  | const unsigned char | rowSpan,
|  | const unsigned char | borderBits,
|  | const RGBSColor * | cellFgColor,
|  | const RGBSColor * | cellBgColor,
|  | const RGBSColor * | cellBorderColor,
|  | const WPXVerticalAlignment | cellVerticalAlignment,
|  | const bool | useCellAttributes,
|  | const unsigned | cellAttributes
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::insertCharacter | ( | unsigned | character | ) |
| virtual

Implements WP6Listener.

Referenced by insertTab().

void WP6ContentListener::insertEOL | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::insertGraphicsData | ( | const unsigned short | packetId | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::insertRow | ( | const unsigned short | rowHeight,
|  | const bool | isMinimumHeight,
|  | const bool | isHeaderRow
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::insertTab | ( | const unsigned char | tabType,
|  | double | tabPosition
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::insertTextBox | ( | const WP6SubDocument * | subDocument | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::justificationChange | ( | const unsigned char | justification | ) |
| inlinevirtual

Implements WP6Listener.

Referenced by insertCell().

void WP6ContentListener::lineSpacingChange | ( | const double | lineSpacing | ) |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::marginChange | ( | const unsigned char | side,
|  | const unsigned short | margin
| ) |  |
| virtual

Implements WP6Listener.

Referenced by _handleSubDocument().

void WP6ContentListener::noteOff | ( | const WPXNoteType | noteType | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::noteOn | ( | const unsigned short | textPID | ) |
| virtual

Implements WP6Listener.

WP6ContentListener& WP6ContentListener::operator= | ( | const WP6ContentListener & |  | ) |
| private

void WP6ContentListener::pageFormChange | ( | const unsigned short | ,
|  | const unsigned short | ,
|  | const WPXFormOrientation |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::pageMarginChange | ( | const unsigned char | ,
|  | const unsigned short |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::pageNumberingChange | ( | const WPXPageNumberPosition | ,
|  | const unsigned short | ,
|  | const unsigned short |
| ) |  |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::paragraphMarginChange | ( | const unsigned char | side,
|  | const signed short | margin
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::paragraphNumberOff | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::paragraphNumberOn | ( | const unsigned short | outlineHash,
|  | const unsigned char | level,
|  | const unsigned char | flag
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::setAlignmentCharacter | ( | const unsigned | character | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::setDate | ( | const unsigned short | type,
|  | const unsigned short | year,
|  | const unsigned char | month,
|  | const unsigned char | day,
|  | const unsigned char | hour,
|  | const unsigned char | minute,
|  | const unsigned char | second,
|  | const unsigned char | dayOfWeek,
|  | const unsigned char | timeZone,
|  | const unsigned char | unused
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::setExtendedInformation | ( | const unsigned short | type,
|  | const librevenge::RVNGString & | data
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::setLeaderCharacter | ( | const unsigned | character,
|  | const unsigned char | numSpaces
| ) |  |
| virtual

Implements WP6Listener.

Referenced by defineTabStops().

void WP6ContentListener::setPageNumber | ( | const unsigned short |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::setPageNumberingType | ( | const WPXNumberingType | pageNumberingType | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::spacingAfterParagraphChange | ( | const double | spacingRelative,
|  | const double | spacingAbsolute
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::startDocument | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::startSubDocument | ( |  | ) |
| inlinevirtual

Implements WP6Listener.

Referenced by WP6Parser::parseSubDocument().

void WP6ContentListener::startTable | ( |  | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::styleGroupOff | ( | const unsigned char | subGroup | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::styleGroupOn | ( | const unsigned char | subGroup | ) |
| virtual

Implements WP6Listener.

void WP6ContentListener::suppressPageCharacteristics | ( | const unsigned char |  | ) |
| inlinevirtual

Implements WP6Listener.

void WP6ContentListener::undoChange | ( | const unsigned char | undoType,
|  | const unsigned short | undoLevel
| ) |  |
| virtual

Implements WP6Listener.

void WP6ContentListener::updateOutlineDefinition | ( | const unsigned short | outlineHash,
|  | const unsigned char * | numberingMethods,
|  | const unsigned char | tabBehaviourFlag
| ) |  |
| virtual

Implements WP6Listener.

## Member Data Documentation

std::map<unsigned, librevenge::RVNGPropertyList> WP6ContentListener::m_listDefinitions
| private

Referenced by _handleListChange().

std::map<unsigned short,WP6OutlineDefinition> WP6ContentListener::m_outlineDefineHash
| private

Referenced by _handleListChange(), and updateOutlineDefinition().

WP6ContentParsingState* WP6ContentListener::m_parseState
| private

Referenced by _changeList(), _flushText(), _handleListChange(), _handleSubDocument(), _paragraphNumberOn(), boxOff(), boxOn(), commentAnnotation(), defineTable(), defineTabStops(), displayNumberReferenceGroupOff(), displayNumberReferenceGroupOn(), fontChange(), globalOff(), globalOn(), handleLineBreak(), indentFirstLineChange(), insertCell(), insertCharacter(), insertGraphicsData(), insertTab(), insertTextBox(), marginChange(), noteOff(), noteOn(), paragraphMarginChange(), paragraphNumberOff(), setLeaderCharacter(), setPageNumberingType(), spacingAfterParagraphChange(), startTable(), styleGroupOff(), styleGroupOn(), and ~WP6ContentListener().

The documentation for this class was generated from the following files:

- WP6ContentListener.h
- WP6ContentListener.cpp